package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.springframework.lang.NonNull
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExerciseTree (
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    val treeId: Long = 0,

    @get: NonNull  var parentId: Int,
    @get: NotBlank var name: String = "",
    @get: NotBlank var imageUrl: String = "",
    @get: NonNull  var active: Boolean?


) {
    @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "exerciseTree")
    @Fetch(value = FetchMode.SUBSELECT)
    val translations: List<ExerciseTreeTranslation> = mutableListOf<ExerciseTreeTranslation>().toList()
}