package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExerciseTreeTranslation (
        @Id
        @GeneratedValue(strategy = GenerationType.IDENTITY)
        val translationId: Long = 0,

        @get: NotBlank var languageCode: String?,
        @get: NotBlank var name: String = ""


) {
        @ManyToOne(fetch = FetchType.EAGER, optional = false)
        @JoinColumn(name = "treeId", nullable = false)
        @JsonIgnore
        val exerciseTree: ExerciseTree? = null

}
