package com.aitrainer.api.model

import org.hibernate.annotations.FetchMode
import org.hibernate.annotations.Fetch
import org.springframework.lang.NonNull
import javax.persistence.*
import javax.validation.constraints.NotBlank
import javax.validation.constraints.Null

@Entity
data class ExerciseType(
        @get: NonNull var treeId: Int,
        @get: NotBlank var name: String = "",
        @get: NotBlank var description: String = "",
        @get: Null var unit: String?,
        @get: Null var unitQuantity: String?,
        @get: Null var unitQuantityUnit: String?,
        @get: NonNull var active: Boolean?,
        @get: NonNull var base: Boolean?,


        @Id @GeneratedValue(strategy = GenerationType.IDENTITY)
        val exerciseTypeId: Long = 0


) {
        @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "exerciseType")
        @Fetch(value = FetchMode.SUBSELECT)
        val images: List<ExerciseTypeImage> = mutableListOf<ExerciseTypeImage>()

        @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "exerciseType")
        @Fetch(value = FetchMode.SUBSELECT)
        val translations: List<ExerciseTypeTranslation> = mutableListOf<ExerciseTypeTranslation>()

}
