package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import org.springframework.lang.NonNull
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExerciseTypeImage (
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    val imageId: Long = 0,

    //@get: NonNull var exerciseTypeId: Integer?,
    @get: NotBlank var name: String = "",
    @get: NotBlank var type: String = "",
    @get: NotBlank var url: String = ""

) {

    @ManyToOne(fetch = FetchType.EAGER, optional = false)
    @JoinColumn(name="exerciseTypeId", nullable=false)
    @JsonIgnore
    val exerciseType: ExerciseType? = null
}

