package com.aitrainer.api.model

import org.hibernate.annotations.Fetch
import org.hibernate.annotations.FetchMode
import org.springframework.lang.NonNull
import javax.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class Property (
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY) @get: NonNull  var propertyId: Long = 0,
    @get: NotBlank  var propertyName: String = "",
    @get: NotBlank  var propertyUnit: String = ""
) {
        @OneToMany(cascade = [(CascadeType.ALL)], fetch = FetchType.EAGER, mappedBy = "property")
        @Fetch(value = FetchMode.SUBSELECT)
        val translations: List<PropertyTranslation> = mutableListOf<PropertyTranslation>().toList()
}