package com.aitrainer.api.repository

import com.aitrainer.api.model.Customer
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface CustomerRepository : JpaRepository<Customer, Long> {
    fun findByActive( active: String? ): List<Customer>

    fun findByEmail(email: String?): Customer?

    fun findByTrainerId( trainerId: Long ): List<Customer>

    fun findByFirebaseUid(firebaseUid: String?): Customer?
}
