package com.aitrainer.api.repository

import com.aitrainer.api.model.ExercisePlan
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface ExercisePlanRepository: JpaRepository<ExercisePlan, Int> {
    @Query(" FROM ExercisePlan" +
            " WHERE customerId = :customerId AND private = 1" +
            " AND dateAdd in (select Max(dateAdd) from ExercisePlan where customerId = :customerId and private = 1) "+
            " GROUP BY customerId"
    )
    fun getLastExercisePlan(customerId: Long): ExercisePlan?
}