package com.aitrainer.api.repository

import com.aitrainer.api.model.Property
import org.springframework.data.jpa.repository.JpaRepository
import org.springframework.data.jpa.repository.Query
import org.springframework.stereotype.Repository

@Repository
interface PropertyRepository: JpaRepository<Property, Long> {
    @Query("FROM Property as e "  +
            "LEFT JOIN PropertyTranslation as t ON e.propertyId = t.property AND t.languageCode = 'hu' " +
            "ORDER BY e.propertyId ")
    fun getProperties(): List<Property>
}