package com.aitrainer.api.test

import com.aitrainer.api.controller.ApplicationProperties
import com.aitrainer.api.controller.Singleton
import com.aitrainer.api.repository.ConfigurationRepository
import org.junit.jupiter.api.Test
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import java.sql.ResultSet
import kotlin.test.assertEquals

@SpringBootTest
class ApplicationStartTest {

    @Autowired
    private lateinit var configurationRepository: ConfigurationRepository
    @Autowired
    private lateinit var properties: ApplicationProperties

    @Test
    fun testDBCheck() {
        Singleton.checkDBUpdate(this.configurationRepository, this.properties)

        var foundTable = false
        val rs: ResultSet = Singleton.execQuery("Show tables;")
        while ( rs.next() ) {
            if ( rs.getString("tables_in_aitrainer2") == "customer_information" ) {
                foundTable = true
            }
        }

        assertEquals(foundTable, true)
    }
}