package com.aitrainer.api.test

import com.aitrainer.api.controller.ExerciseDeviceController
import com.aitrainer.api.repository.ExerciseDeviceRepository
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.boot.test.context.SpringBootTest
import kotlin.test.assertEquals
import kotlin.test.assertTrue

@SpringBootTest
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
class ExerciseDeviceTest {

    @Autowired
    private lateinit var exerciseDeviceRepository: ExerciseDeviceRepository


    @Test
    fun testGetExerciseDevices() {
        val controller = ExerciseDeviceController(exerciseDeviceRepository )
        val response = controller.getDevicesWithTranslation()

        val properties = response.body

        assertTrue(properties is List)
        assertTrue(properties.isNotEmpty())
        assertEquals(properties.size, 3)
        assertEquals(properties[0].name, "Weight")
        assertEquals(properties[0].translations[0].name, "Súlyzó")
        assertEquals(properties[1].name, "Own Weight")
    }

}